Subject: Offline Message from Beau: I Purchased a Swagtron T6 Off Of Amazon and it has
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 23 Jul 2022 03:01:15 -0000

From: Beau <[email-masked]>
Phone: 8188233117
Location: Tujunga, United States
URL: https://swagtron.com/
Department: SwagTron

I Purchased a Swagtron T6 Off Of Amazon and it has yet to power on.... I have owned hoverboards in the past, I have follow the user manual and nothing. When can I have this resolved? I Would like the same model as soon as possible. when I plug it in, the charger lights of green. So it should be charged yet the power button does nothing.

----
Zopim
https://www.zopim.com